<!DOCTYPE html>
<html
  class="no-js"
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>At A Glance</title>

    <section layout:fragment="head" class="stylesheet">
      <!-- bootstrap wysihtml5 - text editor -->
      <link
        rel="stylesheet"
        th:href="@{/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css}"
      />
    </section>
  </head>

  <body>
    <section layout:fragment="breadcrumb" class="content-header">
      <h1>
        At A Glance
        <small>Control panel</small>
      </h1>
      <ol class="breadcrumb">
        <li>
          <a th:href="@{dashboard}"><i class="fa fa-dashboard"></i> Home</a>
        </li>
        <li class="active">Dashboard</li>
      </ol>
    </section>

    <section
      layout:fragment="main"
      class="content"
      sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KABAG')"
    >
      <div class="row">
        <!-- Left col -->
        <div class="col-md-8">
          <div class="box">
            <div class="box-header with-border">
              <h3
                class="box-title"
                th:text="${'Absorber Budget ' + periodeAnggaran.namaPeriodeAnggaran}"
              >
                Absorbed budget
              </h3>
            </div>
            <!-- /.box-header -->
            <div class="box-body">
              <table class="table table-bordered">
                <tr>
                  <th style="width: 10px">#</th>
                  <th>Dept</th>
                  <th>Progress</th>
                  <th style="width: 40px">Label</th>
                </tr>
                <tr th:each="dataSisaAnggaran,row: *{listSisaAnggaran}">
                  <td th:text="${(row.index + 1)}">1.</td>
                  <td th:text="${dataSisaAnggaran.getNamaDepartemen()}"></td>
                  <td>
                    <div
                      class="progress progress-xs"
                      th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33"
                    >
                      <div
                        class="progress-bar progress-bar-success"
                        th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                      ></div>
                    </div>
                    <div
                      class="progress progress-xs"
                      th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66"
                    >
                      <div
                        class="progress-bar progress-bar-warning"
                        th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                      ></div>
                    </div>
                    <div
                      class="progress progress-xs"
                      th:if="${dataSisaAnggaran.getPersentase()} > 66"
                    >
                      <div
                        class="progress-bar progress-bar-danger"
                        th:style="${'width: '+dataSisaAnggaran.getPersentase()+'%'}"
                      ></div>
                    </div>
                  </td>
                  <td>
                    <span
                      th:if="${dataSisaAnggaran.getPersentase()} >= 0 and ${dataSisaAnggaran.getPersentase()} <= 33"
                      class="badge bg-green"
                      th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                      >>55%</span
                    >

                    <span
                      th:if="${dataSisaAnggaran.getPersentase()} > 33 and ${dataSisaAnggaran.getPersentase()} <= 66"
                      class="badge bg-yellow"
                      th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                      >>55%</span
                    >

                    <span
                      th:if="${dataSisaAnggaran.getPersentase()} > 66"
                      class="badge bg-red"
                      th:text="${dataSisaAnggaran.getPersentase()+'%'}"
                      >>55%</span
                    >
                  </td>
                </tr>
              </table>
            </div>
            <!-- /.box-body -->
            <div class="box-footer clearfix">
              <!--                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
              <!--                            <li class="disabled"><a href="#" aria-label="Previous"><span-->
              <!--                                    aria-hidden="true">&laquo;</span></a>-->
              <!--                            </li>-->
              <!--                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
              <!--                            </li>-->
              <!--                        </ul>-->
            </div>
          </div>
        </div>
        <div class="col-md-4">
          <div class="col-md-12">
            <div class="info-box bg-blue">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Total Pagu</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalPaguAnggaran, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a
                  sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                  th:href="@{/setting/paguanggaran}"
                  class="small-box-footer"
                >
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>

          <div class="col-md-12">
            <div class="info-box bg-aqua">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Budgeted Expenses</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalAnggaranPeriode, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a th:href="@{/setting/anggaran}" class="small-box-footer">
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- ./col -->

          <div class="col-md-12">
            <div class="info-box bg-green">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Budgeted Revenues</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalPenerimaanPeriode, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a
                  sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                  th:href="@{/setting/penerimaan}"
                  class="small-box-footer"
                >
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>

          <div class="col-md-12">
            <div class="info-box bg-yellow">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Realized Expenses</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalPengajuanDana, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a
                  sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                  th:href="@{/transaksi/penerimaanreal}"
                  class="small-box-footer"
                >
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- ./col -->
          <div class="col-md-12">
            <div class="info-box bg-fuchsia">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Realized Revenues</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalPenerimaanReale, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a
                  sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                  th:href="@{/reports/realizedrevenues}"
                  class="small-box-footer"
                >
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>

          <div class="col-md-12">
            <div class="info-box bg-teal-gradient">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Available Fund</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal((totalPenerimaanReale - totalPencairan) + totalPengembalian , 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <a
                  sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')"
                  th:href="@{/reports/cash_flow}"
                  class="small-box-footer"
                >
                  Details
                  <i class="fa fa-arrow-circle-right"></i
                ></a>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- ./col -->
          <div class="col-md-12">
            <div class="info-box bg-red">
              <span class="info-box-icon"
                ><i class="fa fa-bookmark-o"></i
              ></span>
              <div class="info-box-content">
                <span class="info-box-text">Budget Balance</span>
                <span
                  class="info-box-number"
                  th:text="${'Rp. ' + #numbers.formatDecimal(totalBalance, 0, 'POINT', 0, 'COMMA')}"
                  >41,410</span
                >
                <div class="progress">
                  <div class="progress-bar" style="width: 70%"></div>
                </div>
                <!-- /<a th:href="@{/transaksi/remaining}" class="small-box-footer">
                                    Details
                                    <i class="fa fa-arrow-circle-right"></i></a> -->
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>

          <!-- ./col -->
        </div>

        <!-- /.Left col -->
        <!-- right col (We are only adding the ID to make the widgets sortable)-->
      </div>
    </section>

    <section layout:fragment="footer" class="script">
      <!-- Morris.js charts -->
      <script th:src="@{/bower_components/raphael/raphael.min.js}"></script>
      <script th:src="@{/bower_components/morris.js/morris.min.js}"></script>
      <!-- Sparkline -->
      <script
        th:src="@{/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js}"
      ></script>
      <!-- jvectormap -->
      <script
        th:src="@{/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js}"
      ></script>
      <script
        th:src="@{/plugins/jvectormap/jquery-jvectormap-world-mill-en.js}"
      ></script>
      <!-- jQuery Knob Chart -->
      <script
        th:src="@{/bower_components/jquery-knob/dist/jquery.knob.min.js}"
      ></script>
      <!-- daterangepicker -->
      <script th:src="@{/bower_components/moment/min/moment.min.js}"></script>
      <script
        th:src="@{/bower_components/bootstrap-daterangepicker/daterangepicker.js}"
      ></script>
      <!-- datepicker -->
      <script
        th:src="@{/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js}"
      ></script>
      <!-- Bootstrap WYSIHTML5 -->
      <script
        th:src="@{/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js}"
      ></script>
      <!-- Slimscroll -->
      <script
        th:src="@{/bower_components/jquery-slimscroll/jquery.slimscroll.min.js}"
      ></script>
      <!-- FastClick -->
      <script th:src="@{/bower_components/fastclick/lib/fastclick.js}"></script>
      <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
      <script th:src="@{/dist/js/pages/dashboard.js}"></script>
      <!-- AdminLTE for demo purposes -->
      <script th:src="@{/dist/js/demo.js}"></script>
    </section>
  </body>
</html>
